## paraview 5.12.1+dfsg

=== .gitlab/ci/requirements.txt ===
# This file should always contain exact version references so that we know what
# we are actually testing at any given point.

# numpy
numpy==1.24.0

# Web modules
aiohttp==3.8.3
wslink==1.9.1

=== debian/changelog ===
paraview (5.12.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Build-Depends: libhdf5-mpi-dev
    Don't hardcode MPI implementation for HDF5, use the default.
    (OpenMPI no longer supports 32-bit architectures)

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Sep 2024 14:39:48 +0200

paraview (5.12.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * follow the example of vtk9 (MR#1) and link -latomic on armel
    and other (32-bit) arches that need it. Closes: #1072939.
  * skip xdmf3 support on mips64el
    (gives "relocation truncated" errors)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 11:56:07 +0200

paraview (5.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * skip xdmf3 support on i386 (and other 32-bit arches), which fail
    due to changes in int handling. See Bug#1071700.

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Jun 2024 14:37:16 +0200

paraview (5.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch VTK_XML_append_with_newer_expat.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:38:22 +0200

paraview (5.12.0+dfsg-4) experimental; urgency=medium

  * Team upload.
  * provide all installed paraview cmake files in paraview-dev

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:03:36 +0200

paraview (5.12.0+dfsg-3) experimental; urgency=medium

  * Team upload.
  * don't hardcode version in debian install scripts

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 22:03:23 +0200

paraview (5.12.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * explicitly switch off cmake BUILD_TESTING. No build tests were
    found in previous versions, and the new single Cxx test set from
    plugins/DigitalSignalProcessing (Plugins/DSP) fails.

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 May 2024 18:52:50 +0200

paraview (5.12.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patches adios2_v2.9_*.diff
      g++13.patch, vector-header.patch
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 May 2024 23:59:00 +0200

paraview (5.11.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * debian/tests: stop running tests on s390x (see Bug#1071518)

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 May 2024 01:48:57 +0200

paraview (5.11.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * debian patch VTK_XML_append_with_newer_expat.patch applies
    upstream patch (vtk9 09_newer_expat.patch) to re-enable handling
    of appended data. See Bug#1064762. Closes: #1065270.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 21:30:46 +0200

=== debian/control ===
Source: paraview
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               qtbase5-dev,
               libqt5svg5-dev,
               libxcursor-dev,
               libdouble-conversion-dev,
               libopengl-dev,
               libqt5opengl5-dev,
               libqt5x11extras5-dev,
               liblz4-dev,
               libgdal-dev,
               qttools5-dev,
               qttools5-dev-tools,
               qttools5-private-dev,
               qtxmlpatterns5-dev-tools,
               libsqlite3-dev,
               sqlite3,
               libboost-all-dev,
               libavformat-dev,
               gfortran,
               libavutil-dev,
               libcgns-dev,
               libprotobuf-dev,
               protobuf-compiler,
               libavcodec-dev,
               libswscale-dev,
               libqt5sql5-sqlite,
               python3-all-dev,
               dh-sequence-python3,
               libglu1-mesa-dev,
               libxt-dev,
               libxext-dev,
               doxygen,
               graphviz,
               gnuplot-qt | gnuplot,
               libtiff-dev,
               libpng-dev,
               libjpeg-dev,
               libxml2-dev,
               libexpat-dev,
               zlib1g-dev,
               libfreetype-dev,
               default-libmysqlclient-dev,
               libpq-dev,
               libtheora-dev,
               mpi-default-dev,
               mpi-default-bin,
               libhdf5-mpi-dev,
               hdf5-tools,
               libadios2-mpi-c++11-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
               libgl2ps-dev,
               libeigen3-dev,
               libnetcdf-dev (>= 1:4.9.0),
               libjsoncpp-dev,
               libglew-dev,
               libxdmf-dev,
               libutfcpp-dev,
               libgmsh-dev,
               python3-matplotlib,
               python3-mpi4py
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/paraview
Vcs-Git: https://salsa.debian.org/science-team/paraview.git -b debian/latest
Homepage: https://www.paraview.org/

Package: paraview
Architecture: any
Depends: tclsh,
         ${shlibs:Depends},
         ${misc:Depends},
         python3-matplotlib,
         python3-mpi4py
Recommends: mpi-default-bin,
            python3-paraview,
            paraview-doc
Suggests: hdf5-tools,
          h5utils
Description: Parallel Visualization Application
 ParaView is an open-source, multi-platform application designed to
 visualize data sets of size varying from small to very large. The
 goals of the ParaView project include the following:
 .
     * Develop an open-source, multi-platform visualization application.
     * Support distributed computation models to process large data sets.
     * Create an open, flexible, and intuitive user interface.
     * Develop an extensible architecture based on open standards.
 .
 ParaView runs on distributed and shared memory parallel as well as
 single processor systems and has been successfully tested on Windows,
 Mac OS X, Linux and various Unix workstations, clusters and
 supercomputers. Under the hood, ParaView uses the Visualization
 Toolkit as the data processing and rendering engine and has a user
 interface written using Qt.

Package: paraview-dev
Architecture: any
Section: libdevel
Depends: qttools5-dev-tools,
         ${shlibs:Depends},
         ${misc:Depends},
         python3:any,
         paraview (= ${binary:Version}),
         libeigen3-dev,
         libgdal-dev
Description: Parallel Visualization Application. Development header files
 ParaView is an open-source, multi-platform application designed to
 visualize data sets of size varying from small to very large. The
 goals of the ParaView project include the following:
 .
     * Develop an open-source, multi-platform visualization application.
     * Support distributed computation models to process large data sets.
     * Create an open, flexible, and intuitive user interface.
     * Develop an extensible architecture based on open standards.
 .
 ParaView runs on distributed and shared memory parallel as well as
 single processor systems and has been successfully tested on Windows,
 Mac OS X, Linux and various Unix workstations, clusters and
 supercomputers. Under the hood, ParaView uses the Visualization
 Toolkit as the data processing and rendering engine and has a user
 interface written using Qt. Development header files

Package: paraview-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: paraview
Description: Parallel Visualization Application. Comprehensive documentation
 ParaView is an open-source, multi-platform application designed to
 visualize data sets of size varying from small to very large. The
 goals of the ParaView project include the following:
 .
     * Develop an open-source, multi-platform visualization application.
     * Support distributed computation models to process large data sets.
     * Create an open, flexible, and intuitive user interface.
     * Develop an extensible architecture based on open standards.
 .
 ParaView runs on distributed and shared memory parallel as well as
 single processor systems and has been successfully tested on Windows,
 Mac OS X, Linux and various Unix workstations, clusters and
 supercomputers. Under the hood, ParaView uses the Visualization
 Toolkit as the data processing and rendering engine and has a user
 interface written using Qt. Comprehensive documentation.

Package: python3-paraview
Architecture: any
Section: python
Depends: paraview (= ${binary:Version}),
         ${python3:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: python3-vtk9
Provides: ${python3:Provides}
Breaks: paraview-python 
Replaces: paraview-python
Description: Parallel Visualization Application. python-support
 ParaView is an open-source, multi-platform application designed to
 visualize data sets of size varying from small to very large. The
 goals of the ParaView project include the following:
 .
     * Develop an open-source, multi-platform visualization application.
     * Support distributed computation models to process large data sets.
     * Create an open, flexible, and intuitive user interface.
     * Develop an extensible architecture based on open standards.
 .
 ParaView runs on distributed and shared memory parallel as well as
 single processor systems and has been successfully tested on Windows,
 Mac OS X, Linux and various Unix workstations, clusters and
 supercomputers. Under the hood, ParaView uses the Visualization
 Toolkit as the data processing and rendering engine and has a user
 interface written using Qt. Enables python support.

=== debian/rules ===
#! /usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/mpi-default-dev/debian_defaults

DESTDIR = $(CURDIR)/debian/tmp
UPSTREAM_VERSION = $(shell dpkg-parsechangelog | awk '/^Version:/ { sub("-[^-]*$$", "", $$2); print $$2}')

%:
	dh $@ --buildsystem=cmake 

PY3VERS=$(shell py3versions -vr)
PY3DEF=$(shell py3versions -dv)

export LD_LIBRARY_PATH+=:$(CURDIR)/debian/paraview/usr/lib/paraview
export QT_SELECT=qt5

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wall -pedantic 
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS) -O0
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

# libatomic is not automatically linked by the tool chain even when needed
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc sh4))
  export DEB_CXXFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
  export DEB_LDFLAGS_MAINT_APPEND += -Wl,--no-as-needed -latomic -Wl,--as-needed
endif

# Investigate: Pixie Needs ADIOS1
#	-DPARAVIEW_PLUGIN_ENABLE_AdiosReaderPixie=ON 
#	-DPARAVIEW_PLUGIN_ENABLE_AdiosReaderStaging=ON 

# i386 (and other 32-bit arches) fails on xdmf3 due to changes in int handling
# See Bug#1071700
ifneq (,$(findstring $(DEB_HOST_ARCH_BITS), 32))
    USE_XMDF3=OFF
else
    USE_XMDF3=ON
endif
ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
    USE_XMDF3=OFF
endif

# Explicit settings of MPI_* is required see
# http://www.vtk.org/Bug/view.php?id=12572
extra_flags += -Wno-dev \
	-DBUILD_TESTING=OFF \
	-DCMAKE_C_FLAGS="${CFLAGS}" -DCMAKE_CXX_FLAGS="${CXXFLAGS}" \
	-DCMAKE_BUILD_TYPE=DEBUG \
	-DPARAVIEW_BUILD_DEVELOPER_DOCUMENTATION=ON \
	-DCMAKE_INSTALL_RPATH=/usr/lib/paraview \
	-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF  \
	-DCMAKE_SKIP_RPATH=OFF \
	-DPARAVIEW_ENABLE_FFMPEG=ON \
	-DPARAVIEW_ENABLE_WEB=ON \
	-DPARAVIEW_BUILD_SHARED_LIBS=ON \
	-DVTK_SOURCE_DIR=$(CURDIR)/VTK \
	-DHDF5_ROOT=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/$(ARCH_DEFAULT_MPI_IMPL) \
	-DPARAVIEW_PYTHON_SITE_PACKAGES_SUFFIX="lib/python3/dist-packages" \
	-DVTK_MODULE_USE_EXTERNAL_VTK_mpi4py=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_doubleconversion=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_eigen=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_theora=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_hdf5=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lz4=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_lzma=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_utf8=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_tiff=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_zlib=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_expat=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_png=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_glew=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_freetype=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_jpeg=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_libxml2=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_netcdf=ON \
	-DVTK_MODULE_USE_EXTERNAL_VTK_gl2ps=ON \
	-DPARAVIEW_USE_MPI=ON \
	-DPARAVIEW_USE_PYTHON=ON \
	-DPARAVIEW_ENABLE_VISITBRIDGE=OFF \
	-DPARAVIEW_ENABLE_GDAL=ON \
	-DPARAVIEW_ENABLE_XDMF3=$(USE_XMDF3) \
	-DPARAVIEW_ENABLE_MOTIONFX=ON \
	-DPARAVIEW_PLUGIN_ENABLE_GmshIO=ON \
	-DDEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)

# Adios2 is only available on 64-bit systems
ifneq ($(DEB_HOST_ARCH_BITS),32)
extra_flags += -DPARAVIEW_ENABLE_ADIOS2=ON \
    -DCMAKE_PREFIX_PATH="$(CMAKE_PREFIX_PATH);/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/adios2/mpi"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -fr build.*

my_configure_python%: pyver=$(patsubst my_configure_python%,%,$@)
my_configure_python%:
	dh_auto_configure -Bbuild.python$(pyver) -- $(extra_flags) -DPython3_EXECUTABLE=/usr/bin/python$(pyver) -DDEBIAN_PYTHON_VERSION=$(pyver)

override_dh_auto_configure: $(foreach pyver,$(PY3VERS), my_configure_python$(pyver))

my_build_python%: pyver=$(patsubst my_build_python%,%,$@)
my_build_python%:
	dh_auto_build -Bbuild.python$(pyver)

override_dh_auto_build: $(foreach pyver,$(PY3VERS), my_build_python$(pyver))

my_install_python%: pyver=$(patsubst my_install_python%,%,$@)
my_install_python%:
	dh_auto_install -Bbuild.python$(pyver)
	cd build.python$(pyver)/bin $(foreach exe,pvbatch pvpython,&& cp $(exe) $(DESTDIR)/usr/bin/$(exe)$(pyver))

override_dh_auto_install: $(foreach pyver,$(PY3VERS), my_install_python$(pyver))
	# Use the defaut python3 version for the tools
	cd debian/tmp/usr/bin $(foreach exe,pvbatch pvpython,&& ln -fs $(exe)$(PY3DEF) $(exe))
	# Drop unwanted mpi4py module
	rm -fr debian/tmp/usr/lib/python3*/dist-packages/mpi4py

my_test_python%: pyver=$(patsubst my_test_python%,%,$@)
my_test_python%:
	dh_auto_test -Bbuild.python$(pyver)

override_dh_python3:
	dh_python3 --no-ext-rename # Hack: Do not rename libraries from e.g. vtkClientServerPython.so to vtkClientServerPython.cpython-38-x86_64-linux-gnu.so!

override_dh_auto_test: $(foreach pyver,$(PY3VERS), my_test_python$(pyver))

override_dh_compress:
	dh_compress -X.qch

override_dh_makeshlibs:
	dh_makeshlibs -V'paraview (>= $(UPSTREAM_VERSION)), paraview (<< $(UPSTREAM_VERSION).)'

## paraview 5.13.1+dfsg

=== debian/changelog ===
paraview (5.13.1+dfsg-8) unstable; urgency=medium

  * Team upload.
  * add debian patch unloaded_dir_in_plugin_conf.patch.
    Currently paraview.conf can only specify plugin XML files (which
    provide autoload control). Plugin directories can only be added
    via PV_PLUGIN_PATH (or PARAVIEW_PLUGIN_LOADER_PATHS), but this
    mechanism autoloads plugins. This patch enables extra plugin dirs
    to be provided in paraview.conf, without autoloading the plugins
    they contain.
  * add debian patch plugin_conf_path_no_autoload.patch.
    Provide PARAVIEW_PLUGIN_CONF_EXTRA_PATHS cmake variable.
    Defines extra paths which are listed in the plugin configuration
    file, without autoloading found plugins.
    This is analogous to the PARAVIEW_PLUGIN_LOADER_PATHS variable
    (which autoloads found plugins in the Plugin Manager).
  * set PARAVIEW_PLUGIN_CONF_EXTRA_PATHS not
    PARAVIEW_PLUGIN_LOADER_PATHS in debian/rules configuration to
    make third-party plugins in /usr/share/paraview/plugins available
    without autoloading.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Oct 2024 11:19:07 +0100

paraview (5.13.1+dfsg-7) unstable; urgency=medium

  * Team upload.
  * fix debian patch conffile_libdir.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 20:14:45 +0200

paraview (5.13.1+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch conffile_libdir.patch to stringize
    preprocessor define PARAVIEW_LIBDIR to set as LibDir, see
    https://gcc.gnu.org/onlinedocs/cpp/Stringizing.html

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 18:16:29 +0200

paraview (5.13.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * fix debian patch plugin_dir_not_bin.patch to only add
    $appDir/plugins (i.e. /usr/bin/plugins) if that plugin dir exists.
  * update debian patch conffile_libdir.patch to define boolean option
    PARAVIEW_CONF_IN_LIBDIR (not PARAVIEW_LIB_SUBDIR) to determine
    whether or not to place the conf file in the libdir. Default OFF
    for current upstream behaviour, debian sets
    PARAVIEW_CONF_IN_LIBDIR=ON. Set (with version) early in
    CMakeFiles.txt before adding Remoting.

 -- Drew Parsons <dparsons@debian.org>  Fri, 25 Oct 2024 15:20:47 +0200

paraview (5.13.1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * drop in-app docs (paraview.qch) from paraview-doc, since they
    cannot be generated by Qt6, see Clients/ParaView/CMakeLists.txt and
    https://gitlab.kitware.com/paraview/paraview/-/issues/19742
    Install README.md and Documentation/release so paraview-doc at
    least contains something. Demote dependency to
    paraview Suggests: paraview-doc not Recommends.
  * debian patch conffile_libdir.patch defines option
    PARAVIEW_LIB_SUBDIR as the paraview library subdir in which plugins
    are installed and installs the plugin conffile there instead of
    the executable dir /usr/bin. Enables plugins to be found by the
    Plugin Manager. Previously we were blocking the conffile from
    installation in /usr/bin so plugins were not found.
    See troubleshooting in upstream Issue#22642.
  * debian patch fix_PluginLoader_defines.patch fixes Remoting/Core
    CMakeFiles.txt to use set_property to append defines for
    vtkPVPluginLoader.cxx, otherwise its existing BUILD_SHARED_LIBS
    value is wiped by set_source_files_properties.

 -- Drew Parsons <dparsons@debian.org>  Thu, 24 Oct 2024 12:16:21 +0200

paraview (5.13.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: qt6-5compat-dev

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 10:24:53 +0200

paraview (5.13.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * configure PARAVIEW_PLUGIN_LOADER_PATHS to show
    /usr/share/paraview/plugins (for arch/version-independent plugins)
    and /usr/lib/*/paraview-*/plugins/ in the Plugin Manager.
    Not clear why the latter do not already appear, see
    https://gitlab.kitware.com/paraview/paraview/-/issues/22642
  * debian patch plugin_dir_not_bin.patch only adds $appDir/plugins
    to the plugin search path if it exists. It should not exist
    (appDir is the executable dir, /usr/bin). Closes: #952390.
  * build with Qt6.
    Build-Depends: qt6-base-dev, qt6-svg-dev, qt6-tools-dev,
    qt6-tools-dev-tools, qt6-tools-private-dev, libqt6sql6-sqlite

 -- Drew Parsons <dparsons@debian.org>  Tue, 22 Oct 2024 04:46:56 +0200

paraview (5.13.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch logparser_regex_esc-MR7002.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Oct 2024 20:17:46 +0200

paraview (5.13.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch syntax_warnings_MR6932.patch
  * versioned Build-Depends: libadios2-mpi-c++11-dev (>= 2.10~)
  * install all vtk utilities usr/bin/vtk*-pv* in paraview package.
    Don't install usr/bin/vtkWrapClientServer* in paraview-dev.
    paraview Breaks/Replaces: paraview-dev (<< 5.13~)
  * drop unused debian patches
    py3.patch vtk-fix.patch reproducible.patch

 -- Drew Parsons <dparsons@debian.org>  Fri, 18 Oct 2024 20:40:21 +0200

paraview (5.12.1+dfsg-5) unstable; urgency=medium

  * Team upload.
  * debian patch xdmf3_32bit.patch enables XDMF3 support on 32-bit
    systems. See https://stackoverflow.com/a/1505839/12401525
    Keep xdmf3 support deactivated on mips64el.
    Closes: #1071700.
  * add debian patches to avoid syntax warnings. Closes: #1072959.
    - logparser_regex_esc-MR7002.patch applies upstream MR#7002 to fix
      regex escape codes
    - syntax_warnings_MR6932.patch applies upstream MR#6932 to fix
      regex in smtrace.py
    - syntax_warnings.patch applies raw r prefix to other stray regexes
      and uses '==' not 'is' to test string equality

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2024 17:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               qtbase5-dev,
-               libqt5svg5-dev,
+               qt6-base-dev,
+               qt6-5compat-dev,
+               qt6-svg-dev,
                libxcursor-dev,
                libdouble-conversion-dev,
                libopengl-dev,
-               libqt5opengl5-dev,
-               libqt5x11extras5-dev,
                liblz4-dev,
                libgdal-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
-               qttools5-private-dev,
-               qtxmlpatterns5-dev-tools,
+               qt6-tools-dev,
+               qt6-tools-dev-tools,
+               qt6-tools-private-dev,
                libsqlite3-dev,
                sqlite3,
                libboost-all-dev,
@@ -29,7 +27,7 @@
                protobuf-compiler,
                libavcodec-dev,
                libswscale-dev,
-               libqt5sql5-sqlite,
+               libqt6sql6-sqlite,
                python3-all-dev,
                dh-sequence-python3,
                libglu1-mesa-dev,
@@ -52,7 +50,7 @@
                mpi-default-bin,
                libhdf5-mpi-dev,
                hdf5-tools,
-               libadios2-mpi-c++11-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
+               libadios2-mpi-c++11-dev (>= 2.10~) [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
                libgl2ps-dev,
                libeigen3-dev,
                libnetcdf-dev (>= 1:4.9.0),
@@ -76,10 +74,12 @@
          python3-matplotlib,
          python3-mpi4py
 Recommends: mpi-default-bin,
-            python3-paraview,
-            paraview-doc
+            python3-paraview
 Suggests: hdf5-tools,
-          h5utils
+          h5utils,
+          paraview-doc
+Breaks: paraview-dev (<< 5.13~)
+Replaces: paraview-dev (<< 5.13~)
 Description: Parallel Visualization Application
  ParaView is an open-source, multi-platform application designed to
  visualize data sets of size varying from small to very large. The

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 DESTDIR = $(CURDIR)/debian/tmp
 UPSTREAM_VERSION = $(shell dpkg-parsechangelog | awk '/^Version:/ { sub("-[^-]*$$", "", $$2); print $$2}')
+UPSTREAM_VERSION_ABI = $(shell echo $(UPSTREAM_VERSION) | sed -e 's/[\.\+]dfsg.*$$//' | awk 'BEGIN { FS="."}; {print $$1"."$$2 }')
 
 %:
 	dh $@ --buildsystem=cmake 
@@ -14,7 +15,6 @@
 PY3DEF=$(shell py3versions -dv)
 
 export LD_LIBRARY_PATH+=:$(CURDIR)/debian/paraview/usr/lib/paraview
-export QT_SELECT=qt5
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -Wall -pedantic 
@@ -31,15 +31,10 @@
 #	-DPARAVIEW_PLUGIN_ENABLE_AdiosReaderPixie=ON 
 #	-DPARAVIEW_PLUGIN_ENABLE_AdiosReaderStaging=ON 
 
-# i386 (and other 32-bit arches) fails on xdmf3 due to changes in int handling
-# See Bug#1071700
-ifneq (,$(findstring $(DEB_HOST_ARCH_BITS), 32))
+ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
     USE_XMDF3=OFF
 else
     USE_XMDF3=ON
-endif
-ifneq (,$(filter $(DEB_HOST_ARCH), mips64el))
-    USE_XMDF3=OFF
 endif
 
 # Explicit settings of MPI_* is required see
@@ -83,6 +78,8 @@
 	-DPARAVIEW_ENABLE_XDMF3=$(USE_XMDF3) \
 	-DPARAVIEW_ENABLE_MOTIONFX=ON \
 	-DPARAVIEW_PLUGIN_ENABLE_GmshIO=ON \
+	-DPARAVIEW_PLUGIN_CONF_EXTRA_PATHS="/usr/share/paraview/plugins" \
+	-DPARAVIEW_CONF_IN_LIBDIR=ON \
 	-DDEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)
 
 # Adios2 is only available on 64-bit systems

## paraview 5.13.2%2Bdfsg

=== DigitalRockPhysics/CMakeLists.txt ===
paraview_add_plugin(DigitalRockPhysics
  REQUIRED_ON_CLIENT
  REQUIRED_ON_SERVER
  VERSION "1.0"
  MODULES DigitalRockPhysics::DigitalRocksFilters
  MODULE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/Filters/vtk.module")

if (BUILD_TESTING)
  add_subdirectory(Testing)
endif ()

=== QtTesting/CMakeLists.txt ===
# FIXME: export symbols on non-Windows as well.
set(CMAKE_CXX_VISIBILITY_PRESET "default")
set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)

# ParaView can no longer support QT_TESTING_WITH_PYTHON due to Matplotlib
# initializing Python.
set(QT_TESTING_WITH_PYTHON FALSE)

set(BUILD_EXAMPLES OFF)
set(QtTesting_QT_VERSION "${PARAVIEW_QT_MAJOR_VERSION}")
set(QtTesting_INSTALL_BIN_DIR "${_vtk_build_RUNTIME_DESTINATION}")
set(QtTesting_INSTALL_INCLUDE_DIR "${_vtk_build_HEADERS_DESTINATION}/vtkqttesting")
set(QtTesting_INSTALL_LIB_DIR "${_vtk_build_LIBRARY_DESTINATION}")
set(QtTesting_INSTALL_CMAKE_DIR "${_vtk_build_CMAKE_DESTINATION}")
set(QtTesting_INSTALL_NO_DEVELOPMENT TRUE)
set(QT_TESTING_EVENT_PLAYBACK_DELAY 100)
set(QtTesting_ENABLE_EXAMPLES OFF)
set(QtTesting_ENABLE_TESTING OFF)
set(QT_TESTING_INSTALL_EXPORT_NAME "ParaView")
set(QTTESTING_BUILD_AS_VTK_MODULE ON)
set(BUILD_TESTING OFF)

vtk_module_third_party_internal(
  LICENSE_FILES 
    "vtkqttesting/Copyright.txt"
  SPDX_LICENSE_IDENTIFIER
    "BSD-3-Clause"
  SPDX_COPYRIGHT_TEXT
    "Copyright (c) 2005-2022 Kitware, inc."
  SPDX_DOWNLOAD_LOCATION
    "git+https://gitlab.kitware.com/third-party/paraview/qttesting@dfd965fa829f25707ab7e14b9d4a18238ddc4bdc"
  VERSION       
    "master")

=== ArrowGlyph/Filter/CMakeLists.txt ===
set(classes
  vtkArrowGlyphFilter)

vtk_module_add_module(ArrowGlyph::ArrowGlyphFilter
  CLASSES ${classes})

paraview_add_server_manager_xmls(
  XMLS  vtkArrowGlyphFilter.xml)

=== Interaction/Widgets/CMakeLists.txt ===
set(classes
  vtk3DCursorRepresentation
  vtk3DCursorWidget
  vtk3DWidget
  vtkAbstractPolygonalHandleRepresentation3D
  vtkAbstractSplineRepresentation
  vtkAbstractWidget
  vtkAffineRepresentation
  vtkAffineRepresentation2D
  vtkAffineWidget
  vtkAngleRepresentation
  vtkAngleRepresentation2D
  vtkAngleRepresentation3D
  vtkAngleWidget
  vtkAxesTransformRepresentation
  vtkAxesTransformWidget
  vtkBalloonRepresentation
  vtkBalloonWidget
  vtkBezierContourLineInterpolator
  vtkBiDimensionalRepresentation
  vtkBiDimensionalRepresentation2D
  vtkBiDimensionalWidget
  vtkBorderRepresentation
  vtkBorderWidget
  vtkBoundedPlanePointPlacer
  vtkBoxRepresentation
  vtkBoxWidget
  vtkBoxWidget2
  vtkBrokenLineWidget
  vtkButtonRepresentation
  vtkButtonWidget
  vtkCamera3DRepresentation
  vtkCamera3DWidget
  vtkCameraHandleSource
  vtkCameraOrientationWidget
  vtkCameraOrientationRepresentation
  vtkCameraPathRepresentation
  vtkCameraPathWidget
  vtkCameraRepresentation
  vtkCameraWidget
  vtkCaptionRepresentation
  vtkCaptionWidget
  vtkCellCentersPointPlacer
  vtkCenteredSliderRepresentation
  vtkCenteredSliderWidget
  vtkCheckerboardRepresentation
  vtkCheckerboardWidget
  vtkClosedSurfacePointPlacer
  vtkCompassRepresentation
  vtkCompassWidget
  vtkConstrainedPointHandleRepresentation
  vtkContinuousValueWidget
  vtkContinuousValueWidgetRepresentation
  vtkContourLineInterpolator
  vtkContourRepresentation
  vtkContourWidget
  vtkCoordinateFrameRepresentation
  vtkCoordinateFrameWidget
  vtkCurveRepresentation
  vtkDijkstraImageContourLineInterpolator
  vtkDisplaySizedImplicitPlaneWidget
  vtkDisplaySizedImplicitPlaneRepresentation
  vtkDistanceRepresentation
  vtkDistanceRepresentation2D
  vtkDistanceRepresentation3D
  vtkDistanceWidget
  vtkEllipsoidTensorProbeRepresentation
  vtkEqualizerContextItem
  vtkEvent
  vtkFinitePlaneRepresentation
  vtkFinitePlaneWidget
  vtkFixedSizeHandleRepresentation3D
  vtkFocalPlaneContourRepresentation
  vtkFocalPlanePointPlacer
  vtkHandleRepresentation
  vtkHandleWidget
  vtkHoverWidget
  vtkImageActorPointPlacer
  vtkImageCroppingRegionsWidget
  vtkImageOrthoPlanes
  vtkImagePlaneWidget
  vtkImageTracerWidget
  vtkImplicitCylinderRepresentation
  vtkImplicitCylinderWidget
  vtkImplicitImageRepresentation
  vtkImplicitPlaneRepresentation
  vtkImplicitPlaneWidget
  vtkImplicitPlaneWidget2
  vtkLightRepresentation
  vtkLightWidget
  vtkLinearContourLineInterpolator
  vtkLineRepresentation
  vtkLineWidget
  vtkLineWidget2
  vtkLogoRepresentation
  vtkLogoWidget
  vtkMagnifierRepresentation
  vtkMagnifierWidget
  vtkMeasurementCubeHandleRepresentation3D
  vtkOrientationMarkerWidget
  vtkOrientationRepresentation
  vtkOrientationWidget
  vtkOrientedGlyphContourRepresentation
  vtkOrientedGlyphFocalPlaneContourRepresentation
  vtkOrientedPolygonalHandleRepresentation3D
  vtkParallelopipedRepresentation
  vtkParallelopipedWidget
  vtkPlaneWidget
  vtkPlaybackRepresentation
  vtkPlaybackWidget
  vtkPointCloudRepresentation
  vtkPointCloudWidget
  vtkPointHandleRepresentation2D
  vtkPointHandleRepresentation3D
  vtkPointPlacer
  vtkPointWidget
  vtkPolyDataContourLineInterpolator
  vtkPolyDataPointPlacer
  vtkPolyDataSourceWidget
  vtkPolygonalHandleRepresentation3D
  vtkPolygonalSurfaceContourLineInterpolator
  vtkPolygonalSurfacePointPlacer
  vtkPolyLineRepresentation
  vtkPolyLineWidget
  vtkProgressBarRepresentation
  vtkProgressBarWidget
  vtkProp3DButtonRepresentation
  vtkRectilinearWipeRepresentation
  vtkRectilinearWipeWidget
  vtkResliceCursor
  vtkResliceCursorActor
  vtkResliceCursorLineRepresentation
  vtkResliceCursorPicker
  vtkResliceCursorPolyDataAlgorithm
  vtkResliceCursorRepresentation
  vtkResliceCursorThickLineRepresentation
  vtkResliceCursorWidget
  vtkScalarBarRepresentation
  vtkScalarBarWidget
  vtkSeedRepresentation
  vtkSeedWidget
  vtkSliderRepresentation
  vtkSliderRepresentation2D
  vtkSliderRepresentation3D
  vtkSliderWidget
  vtkSphereHandleRepresentation
  vtkSphereRepresentation
  vtkSphereWidget
  vtkSphereWidget2
  vtkSplineRepresentation
  vtkSplineWidget
  vtkSplineWidget2
  vtkTensorProbeRepresentation
  vtkTensorProbeWidget
  vtkTensorRepresentation
  vtkTensorWidget
  vtkTerrainContourLineInterpolator
  vtkTerrainDataPointPlacer
  vtkTextRepresentation
  vtkTexturedButtonRepresentation
  vtkTexturedButtonRepresentation2D
  vtkTextWidget
  vtkWidgetCallbackMapper
  vtkWidgetEvent
  vtkWidgetEventTranslator
  vtkWidgetRepresentation
  vtkWidgetSet
  vtkXYPlotWidget
  )

# Hand written (de)serialization routines
set(serialization_helper_sources)
if (VTK_WRAP_SERIALIZATION)
  list(APPEND serialization_helper_sources
    vtkAbstractWidgetSerDesHelper.cxx)
endif ()

vtk_module_add_module(VTK::InteractionWidgets
  CLASSES ${classes}
  SOURCES ${serialization_helper_sources})
vtk_add_test_mangling(VTK::InteractionWidgets)

=== LegacyGhostCellsGenerator/Filters/CMakeLists.txt ===
set(classes
  vtkUnstructuredGridGhostCellsGenerator)

vtk_module_add_module(LegacyGhostCellsGeneratorFilters
  CLASSES ${classes})

paraview_add_server_manager_xmls(
  XMLS  LegacyGhostCellsGenerator.xml)

=== Rendering/OpenXR/CMakeLists.txt ===
vtk_module_find_package(PACKAGE OpenXR)

set(classes
  vtkOpenXRRenderWindow
  vtkOpenXRRenderWindowInteractor
  vtkOpenXRCamera
  vtkOpenXRControlsHelper
  vtkOpenXRModel
  vtkOpenXRRenderer
  vtkOpenXRInteractorStyle)

set(nowrap_classes
  vtkOpenXRManager
  vtkOpenXRManagerGraphics
  vtkOpenXRManagerOpenGLGraphics
  vtkOpenXRManagerConnection
  )

set(nowrap_headers
  vtkOpenXR.h
  vtkOpenXRPlatform.h
  vtkOpenXRUtilities.h
  XrExtensions.h
  XrGraphicsExtensions.h
  )

vtk_module_add_module(VTK::RenderingOpenXR
  CLASSES ${classes}
  NOWRAP_CLASSES ${nowrap_classes}
  NOWRAP_HEADERS ${nowrap_headers}
  )

vtk_module_link(VTK::RenderingOpenXR
  PUBLIC
    OpenXR::openxr_loader
    OpenXR::headers)

set(openxr_input_files
  vtk_openxr_actions.json
  vtk_openxr_binding_htc_vive_controller.json
  vtk_openxr_binding_khr_simple_controller.json
  vtk_openxr_binding_hp_mixed_reality.json
  vtk_openxr_binding_knuckles.json
  vtk_openxr_binding_microsoft_hand_interaction.json
)

foreach(inputfile ${openxr_input_files})
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/${inputfile}
    ${CMAKE_CURRENT_BINARY_DIR}/${input_file}
    COPYONLY)
endforeach()

install(
  FILES ${openxr_input_files}
  DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/xr_actions/"
  COMPONENT   runtime
)
vtk_add_test_mangling(VTK::RenderingOpenXR)

=== Common/ExecutionModel/Testing/CMakeLists.txt ===
vtk_module_test_data(
  Data/AMR/HierarchicalBoxDataset.v1.1.vthb
  Data/AMR/HierarchicalBoxDataset.v1.1/,REGEX:.*
  Data/many_blocks/many_blocks.vtm
  Data/many_blocks/many_blocks/,REGEX:.*)

if (NOT vtk_testing_cxx_disabled)
  add_subdirectory(Cxx)
endif ()

if (VTK_WRAP_PYTHON)
  add_subdirectory(Python)
endif ()

=== Examples/Android/VolumeRender/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8...3.12)
project(VolumeRender)

if (CMAKE_BINARY_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  message(FATAL_ERROR "VTK Android does not support in-source builds :) .")
endif ()

find_package(VTK COMPONENTS
  vtkInteractionStyle
  vtkRenderingOpenGL2
  vtkRenderingVolumeOpenGL2
  vtkRenderingFreeType
)
include(${VTK_USE_FILE})

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/libs/${CMAKE_ANDROID_ARCH_ABI})
message(${CMAKE_LIBRARY_OUTPUT_DIRECTORY})
add_subdirectory(jni)

# find android
find_program(ANDROID_EXECUTABLE
  NAMES android
  DOC   "The android command-line tool")
if(NOT ANDROID_EXECUTABLE)
  message(FATAL_ERROR "Can not find android command line tool: android")
endif()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/AndroidManifest.xml"
  "${CMAKE_CURRENT_BINARY_DIR}/AndroidManifest.xml"
  COPYONLY)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/ant.properties.in"
  "${CMAKE_CURRENT_BINARY_DIR}/ant.properties"
  @ONLY)

add_custom_target(VolumeRender-ant-configure ALL
  COMMAND "${ANDROID_EXECUTABLE}"
          update project
          --name VolumeRender
          --path "${CMAKE_CURRENT_SOURCE_DIR}"
          --target "android-${CMAKE_SYSTEM_VERSION}"
  COMMAND "${CMAKE_COMMAND}" -E copy_if_different
          "${CMAKE_CURRENT_SOURCE_DIR}/build.xml"
          "${CMAKE_CURRENT_BINARY_DIR}/build.xml"
  COMMAND "${CMAKE_COMMAND}" -E copy_if_different
          "${CMAKE_CURRENT_SOURCE_DIR}/local.properties"
          "${CMAKE_CURRENT_BINARY_DIR}/local.properties"
  COMMAND "${CMAKE_COMMAND}" -E copy_if_different
          "${CMAKE_CURRENT_SOURCE_DIR}/project.properties"
          "${CMAKE_CURRENT_BINARY_DIR}/project.properties"
  COMMAND "${CMAKE_COMMAND}" -E copy_if_different
          "${CMAKE_CURRENT_SOURCE_DIR}/proguard-project.txt"
          "${CMAKE_CURRENT_BINARY_DIR}/proguard-project.txt"
  COMMAND "${CMAKE_COMMAND}" -E remove
          "${CMAKE_CURRENT_SOURCE_DIR}/build.xml"
          "${CMAKE_CURRENT_SOURCE_DIR}/local.properties"
          "${CMAKE_CURRENT_SOURCE_DIR}/project.properties"
          "${CMAKE_CURRENT_SOURCE_DIR}/proguard-project.txt"
  WORKING_DIRECTORY
          "${CMAKE_CURRENT_BINARY_DIR}")

add_dependencies(VolumeRender-ant-configure VolumeRender)

#find ant
find_program(ANT_EXECUTABLE
  NAMES ant
  DOC   "The ant build tool")
if(NOT ANT_EXECUTABLE)
  message(FATAL_ERROR "Can not find ant build tool: ant")
endif()

add_custom_target(VolumeRender-apk-release ALL
  COMMAND ${ANT_EXECUTABLE}
          -file "${CMAKE_CURRENT_BINARY_DIR}/build.xml"
          release)
add_dependencies(VolumeRender-apk-release
  VolumeRender-ant-configure
  VolumeRender)

add_custom_target(VolumeRender-apk-debug ALL
  COMMAND ${ANT_EXECUTABLE}
          -file "${CMAKE_CURRENT_BINARY_DIR}/build.xml"
          debug)
add_dependencies(VolumeRender-apk-debug
  VolumeRender-apk-release
  VolumeRender-ant-configure
  VolumeRender)

=== IO/ParallelXdmf3/Testing/CMakeLists.txt ===
if (VTK_USE_LARGE_DATA)
  vtk_module_test_data(
    Data/XDMF/Iron/,REGEX:Iron_Protein\.ImageData\..*)

  add_subdirectory(Cxx)
endif ()

=== Plugins/DockWidgetCustomProxy/Plugin/CMakeLists.txt ===
add_subdirectory(ParaViewPlugin)

option(BUILD_TESTING "Build Plugin Testing" OFF)
if (BUILD_TESTING AND BUILD_SHARED_LIBS)
  add_subdirectory(Testing)
endif()

=== Plugins/GUIMyToolBar/Plugin/CMakeLists.txt ===
set(interfaces)
set(sources
  MyToolBar.cxx
  MyToolBar.h
  MyToolBarActions.cxx
  MyToolBarActions.h)

paraview_plugin_add_action_group(
  CLASS_NAME MyToolBarActions
  GROUP_NAME "ToolBar/MyActions"
  INTERFACES action_interfaces
  SOURCES action_sources)
list(APPEND interfaces
  ${action_interfaces})
list(APPEND sources
  ${action_sources})

# Another way of adding a toolbar is to simply add a new QToolBar subclass.
paraview_plugin_add_toolbar(
  CLASS_NAME MyToolBar
  INTERFACES toolbar_interfaces
  SOURCES toolbar_sources)
list(APPEND interfaces
  ${toolbar_interfaces})
list(APPEND sources
  ${toolbar_sources})

paraview_add_plugin(GUIMyToolBar
  REQUIRED_ON_CLIENT
  VERSION "1.0"
  UI_INTERFACES ${interfaces}
  SOURCES ${sources})

=== Plugins/LagrangianIntegrationModel/Plugin/CMakeLists.txt ===
paraview_add_plugin(LagrangianIntegrationModel
  REQUIRED_ON_CLIENT
  REQUIRED_ON_SERVER
  VERSION "1.0"
  MODULES LagrangianExample
  MODULE_FILES "${CMAKE_CURRENT_SOURCE_DIR}/LagrangianExample/vtk.module")

option(BUILD_TESTING "Build Plugin Testing" OFF)
if (BUILD_TESTING AND BUILD_SHARED_LIBS)
  add_subdirectory(Testing)
endif()

=== debian/changelog ===
paraview (5.13.2+dfsg-3) unstable; urgency=medium

  * Patch for FTBFS with netcdf 4.9.3, thanks Bas Couwenberg
    Closes: #1095475

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Feb 2025 09:35:34 +0000

paraview (5.13.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * run dh_python3 with -V set to a range covering the default python
    version only, to get a versioned dependency on python3
    to facilitate future upgrades of the default python version
    (binNMU in auto-upperlimit-python3 transitions)
    Thanks Adrian Bunk and Colin Watson. Closes: #1093278.
  * drop --no-ext-rename option from dh_python3 override. Python
    extensions should be renamed as usual. The problem supporting
    non-default Python versions is in the libvtk.so libraries they
    link to, not the Python extensions themselves.

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 Jan 2025 15:51:50 +0100

paraview (5.13.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - applies debian patch fix_PluginLoader_defines.patch
  * support the default version of python only
    since many libvtk*.so files link to the specific python version
  * new debian patches
    - python3.13_missing_dict_MR11486.diff applies upstream
      MR#11486 to fix segfault with python3.13
    - python_iostream_encoding_MR11494.diff applies upstream MR#11494
      to improve handling of stream encoding

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jan 2025 23:34:17 +0100

paraview (5.13.1+dfsg-11) unstable; urgency=medium

  * Team upload.
  * replace debian patch plugin_conf_path_no_autoload.patch with patch
    from upstream MR#7152.
    Incorporates unloaded_dir_in_plugin_conf.patch.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Jan 2025 19:48:49 +0100

paraview (5.13.1+dfsg-10) unstable; urgency=medium

  * Team upload.
  * paraview Depends: ${Qtsvg:Depends}, defined in debian/rules to
    provide depenency on the Qt Svg component library (libqt6svg6).
    The Qt Svg library dependency is not detected automatically
    but is needed for labels and icons in the paraview GUI.
    Closes: #1031234

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Dec 2024 08:45:10 +0200

paraview (5.13.1+dfsg-9) unstable; urgency=medium

  * Team upload.
  * debian patch fix_ldflags.patch applies workaround to fix flaw in
    LDFLAGS handling exposed by cmake 3.31. Thanks Brad King from
    Kitware for the patch and analysis of the bug. Closes: #1087764.

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Nov 2024 12:27:26 +0100
